package cn.reghao.devops.mgr.admin.service;

import cn.reghao.devops.mgr.admin.model.po.Role;
import cn.reghao.devops.mgr.admin.model.vo.MenuTree;
import cn.reghao.jutil.jdk.result.Result;
import cn.reghao.devops.mgr.admin.model.dto.MenuDto;
import cn.reghao.devops.mgr.admin.model.po.Menu;

import java.util.List;

/**
 * @author reghao
 * @date 2021-07-21 15:17:14
 */
public interface MenuService {
    Result addMenu(Menu menu);
    Result updateMenu(MenuDto menuDto);
    void updateMenusStatus(boolean status, List<Integer> menuIds);
    Result deleteMenu(Integer menuId);
    List<MenuTree> getMenusByRole(Role role);
    List<MenuTree> getMenusByStatus(Boolean enabled);
    List<MenuTree> getDirMenus();
}
